Skip to content

Preview Template

POST
/api/v1/workflows/templates/{template_id}/preview
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/workflows/templates/example/preview \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "initial_input": {}, "params": {} }'

Preview a template’s workflow definition without executing.

Returns the instantiated WorkflowDefinition with the given parameters, allowing the visual builder to load the template onto the canvas for customization before saving.

template_id
required
Template Id
string
Media typeapplication/json
TriggerRequest

Request body for triggering a workflow template.

Attributes: params: Template-specific parameters. initial_input: Optional seed data for the first step.

object
initial_input
Any of:
object
key
additional properties
any
params
Params
object
key
additional properties
any
Examplegenerated
{
"initial_input": {},
"params": {}
}

Successful Response

Media typeapplication/json
Response Preview Template Api V1 Workflows Templates Template Id Preview Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}